query.h File Reference

Xapian::Query API class. More...

## Classes

class | Xapian::Query
| Class representing a query. More...

## Namespaces

| Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Functions

const Query | Xapian::operator& (const Query &a, const Query &b)
| Combine two Xapian::Query objects using OP_AND.
const Query | Xapian::operator| (const Query &a, const Query &b)
| Combine two Xapian::Query objects using OP_OR.
const Query | Xapian::operator^ (const Query &a, const Query &b)
| Combine two Xapian::Query objects using OP_XOR.
const Query | Xapian::operator* (double factor, const Query &q)
| Scale a Xapian::Query object using OP_SCALE_WEIGHT. More...
const Query | Xapian::operator* (const Query &q, double factor)
| Scale a Xapian::Query object using OP_SCALE_WEIGHT. More...
const Query | Xapian::operator/ (const Query &q, double factor)
| Inverse-scale a Xapian::Query object using OP_SCALE_WEIGHT. More...
const Query | Xapian::operator& (const Query &a, const InvertedQuery_ &b)
| Combine two Xapian::Query objects using OP_AND_NOT. More...
const Query | Xapian::operator&= (Query &a, const InvertedQuery_ &b)
| Combine two Xapian::Query objects using OP_AND_NOT with result in the first. More...

## Detailed Description

Xapian::Query API class.